xpra icon
Bug tracker and wiki

Opened 4 years ago

Closed 2 years ago

Last modified 2 years ago

#713 closed defect (fixed)

current using window is on top

Reported by: peterlong0210 Owned by: alas
Priority: major Milestone: 1.0
Component: client Version: 0.14.x
Keywords: Cc:

Description

After use xpra about 30 minutes -> 1 hour. Bellow bug appear:
Reproduce:

  1. Start xpra : xpra start :100 --start-child=xterm --bind-tcp=0.0.0.0:10000
  2. Attach xpra: xpra attach tcp:IP:10000
  3. Run some apps from xterm : firefox, chrome,...
  4. Sometimes, I switch from current using windows ( maybe firefox ) to other windows ( chrome or xterm or a client's application(windows explorer)... ) but can't switch. Current windows is not change. I also tried open a dialog box ( Ctrl + O in firefox ), and received a same result: dialog box wasn't appear.
  5. From xpra tray icon, right click it and use "raise windows".
  6. Switch again, and now it works.

Bug:

Current using window is on top with other windows.
Use "raise windows" under tray icon menu and it's ok.

Attachments (13)

ontop.zip (25.8 KB) - added by peterlong0210 4 years ago.
xprainfo_beforeraise (79.8 KB) - added by peterlong0210 4 years ago.
xprainfo_afterraise (79.8 KB) - added by peterlong0210 4 years ago.
problem_occur.txt (2.0 KB) - added by peterlong0210 4 years ago.
Log -d focus when the problem occur
problem_not_occur.txt (1.8 KB) - added by peterlong0210 4 years ago.
Log -d focus when the problem not occur
ontop_Focus_FF.png (766.2 KB) - added by peterlong0210 4 years ago.
Focus Firefox
ontop_Focus_Xterm.png (763.6 KB) - added by peterlong0210 4 years ago.
Focus xterm
ontop_afterminimizeFF.png (748.4 KB) - added by peterlong0210 4 years ago.
After minimize Firefox
ticket713-info.txt (24.2 KB) - added by alas 4 years ago.
xpra info | grep windows, while firefox has top-level "control"
ontop1502121429.txt (25.4 KB) - added by peterlong0210 4 years ago.
stdout & stderr with -d state from attach xpra until the problem occur
ticket829-metadata-window.txt (24.8 KB) - added by alas 4 years ago.
-d metadata,window log
ticket713_info-before-firefox-focus-issue.txt (129.4 KB) - added by alas 3 years ago.
xpra info after re-connection, before firefox focus/paint issue
ticket713_info-after-firefox-focus-issue.txt (130.0 KB) - added by alas 3 years ago.
xpra-info after inducing firefox focus/paint issue

Change History (45)

comment:1 Changed 4 years ago by Antoine Martin

Owner: changed from Antoine Martin to peterlong0210

Please don't use rar files. This is not a free format.

Can you capture xpra info just before and after you "raise windows" to make things work again. Then hopefully we can spot the difference.

Please clarify how you mean to switch windows. Mouse? Keyboard? Alt-tab?
"is on top with other windows" - I don't understand what that means.
Maybe an annotated screenshot would help.

As per #712, does this also occur when clipboard and sound disabled?

Changed 4 years ago by peterlong0210

Attachment: ontop.zip added

comment:2 in reply to:  1 Changed 4 years ago by peterlong0210

Replying to totaam:

Please don't use rar files. This is not a free format.

Can you capture xpra info just before and after you "raise windows" to make things work again. Then hopefully we can spot the difference.

I will attach info when this problem does occur again

Please clarify how you mean to switch windows. Mouse? Keyboard? Alt-tab?

I mean Mouse, Alt-tab

"is on top with other windows" - I don't understand what that means.

Maybe my English is not good. When the problem does occur, current using windows similiar with Task manager - it cover other windows ( explorer, notepad, firefox, chrome,...)

Maybe an annotated screenshot would help.

As per #712, does this also occur when clipboard and sound disabled?

As above, I will attach when it's occur

PS: On the server-side, how to "raise windows" from command line ?

comment:3 Changed 4 years ago by Antoine Martin

I mean Mouse, Alt-tab


Then maybe it's a grab gone wrong.
If that's the case, then this should fix things when it happens:

xpra control :DISPLAY ungrab


PS: On the server-side, how to "raise windows" from command line ?


You could use something like xdotool. No guarantee that this will work though...

Changed 4 years ago by peterlong0210

Attachment: xprainfo_beforeraise added

Changed 4 years ago by peterlong0210

Attachment: xprainfo_afterraise added

comment:4 in reply to:  3 Changed 4 years ago by peterlong0210

Replying to totaam:

I mean Mouse, Alt-tab


Then maybe it's a grab gone wrong.
If that's the case, then this should fix things when it happens:

xpra control :DISPLAY ungrab

I tried, but it's not work.
I attached 2 files "xpra info" before and after raise windows


PS: On the server-side, how to "raise windows" from command line ?


You could use something like xdotool. No guarantee that this will work though...

comment:5 Changed 4 years ago by peterlong0210

Owner: changed from peterlong0210 to Antoine Martin

comment:6 Changed 4 years ago by peterlong0210

@totaam:
Can we "raise windows" from command line on client-side ?
Thanks :)

comment:7 Changed 4 years ago by peterlong0210

Component: androidclient

comment:8 Changed 4 years ago by Antoine Martin

Owner: changed from Antoine Martin to peterlong0210

Sounds like a focus issue. Having the -d focus log (both client and server) may help.

I'm still not sure what you mean when you say you can't switch. Do you mean that the application running via xpra does not get the focus? Like I said before, an annotated screenshot could help explain things.

Does this problem occur when switching with the mouse as well as Alt-Tab?

comment:9 in reply to:  8 Changed 4 years ago by peterlong0210

Owner: changed from peterlong0210 to Antoine Martin

Replying to totaam:

Sounds like a focus issue. Having the -d focus log (both client and server) may help.

I'm still not sure what you mean when you say you can't switch. Do you mean that the application running via xpra does not get the focus? Like I said before, an annotated screenshot could help explain things.

When this problem occur:
I have 2 windows is opening(for example, Firefox with xterm or Firefox Chrome or ...).
My activate window is Firefox. If I switch from Firefox to xterm(or Chrome), I must use mouse or Alt + Tab. But after use mouse/Alt+Tab, my activate window switch to xterm(Chrome), but xterm window covered by Firefox, and what I see in the monitor still Firefox.
I will provide some screenshot when this problem occur again.

Does this problem occur when switching with the mouse as well as Alt-Tab?

Yes.
I think this track maybe relative.
http://xpra.org/trac/ticket/761

Last edited 4 years ago by peterlong0210 (previous) (diff)

comment:10 Changed 4 years ago by peterlong0210

Milestone: 0.15
Version: trunk0.14.x

I's just detect if I minimize Firefox window which the problem occur (I will call it is FF1)then open other Firefox windows, everything is OK.
After I restore FF1, the problem occur again.
I will try to reproduce extractly.

Last edited 4 years ago by peterlong0210 (previous) (diff)

Changed 4 years ago by peterlong0210

Attachment: problem_occur.txt added

Log -d focus when the problem occur

Changed 4 years ago by peterlong0210

Attachment: problem_not_occur.txt added

Log -d focus when the problem not occur

comment:11 Changed 4 years ago by peterlong0210

I've just attached 2 log files with -d focus.
Both use same follow steps:
A: Firefox
B: Xpra_cmd
Focus A -> Focus B -> Focus A -> Focus B

Last edited 4 years ago by peterlong0210 (previous) (diff)

comment:12 Changed 4 years ago by Antoine Martin

Owner: changed from Antoine Martin to peterlong0210

But after use mouse/Alt+Tab, my activate window switch to xterm(Chrome), but xterm window covered by Firefox, and what I see in the monitor still Firefox.


If I am understanding this correctly, this sounds like a client-side painting issue.
Can you please provide a screenshot with a brief explanation of what it should look like, or even better: a screenshot of the correct situation.

Also, does this occur if you turn opengl off?

Last edited 4 years ago by Antoine Martin (previous) (diff)

comment:13 in reply to:  12 Changed 4 years ago by peterlong0210

Replying to totaam:

If I am understanding this correctly, this sounds like a client-side painting issue.
Can you please provide a screenshot with a brief explanation of what it should look like, or even better: a screenshot of the correct situation.

Also, does this occur if you turn opengl off?

Sorry for my late reply
I don't use OpenGL.
I will take a screenshot when this problem occurs.

comment:14 Changed 4 years ago by Antoine Martin

I don't use OpenGL.


Do you manually turn it off or is your chipset one of the blacklisted ones? (ie: Intel)

comment:15 in reply to:  14 Changed 4 years ago by peterlong0210

Do you manually turn it off or is your chipset one of the blacklisted ones? (ie: Intel)

Yes, my chipset is incompatibility with OpenGL.

Changed 4 years ago by peterlong0210

Attachment: ontop_Focus_FF.png added

Focus Firefox

Changed 4 years ago by peterlong0210

Attachment: ontop_Focus_Xterm.png added

Focus xterm

Changed 4 years ago by peterlong0210

Attachment: ontop_afterminimizeFF.png added

After minimize Firefox

comment:16 Changed 4 years ago by peterlong0210

Owner: changed from peterlong0210 to Antoine Martin

I opened 2 windows, one is Firefox and another is xterm.
After this problem occur, I took some screenshots about it.

  1. Focus Firefox. We see Firefox only.
  2. Focus xterm. We still see Firefox only, not xterm.
  3. Minimize Firefox.

So we can see that xterm still sit at background position, behind Firefox window if Firefox isn't minimized.

comment:17 Changed 4 years ago by alas

I also stumbled across what I think this ticket is describing.

See it with windows client 0.15.0 r8534, but could not reproduce with osx client 0.15.0 r8534 (--opengl=on). Likewise, I couldn't reproduce it with epiphany (google-chrome is nearly non-interactive). Also reproduced with --opengl=off (AMD card).

Turning on -d focus (with the nifty new tools from #786) I was able to grab a short bit of logs that might be of use:

2015-01-23 14:35:00,312 enabled debugging for: [Logger(xpra.client.client_window_base, focus), Logger(xpra.client.gtk_base.gtk_client_window_base, focus), Logger(xpra.client.ui_client_base, client, focus)]
2015-01-23 14:35:00,329 Connection lost
2015-01-23 14:35:03,314 focus-in-event for wid=2
2015-01-23 14:35:03,314 GLClientWindow(2 : gtk2.GLWindowBacking(2, (834, 711), None)) focus_change((ClientWindow(2), <GParamBoolean 'has-toplevel-focus'>)) has-toplevel-focus=True, _been_mapped=True
2015-01-23 14:35:03,315 update_focus(2, True) focused=None, grabbed=None
2015-01-23 14:35:03,315 send_focus(2)
2015-01-23 14:35:04,830 update_focus(0, False) focused=2, grabbed=None
2015-01-23 14:35:04,831 focus-out-event for wid=2
2015-01-23 14:35:04,831 GLClientWindow(2 : gtk2.GLWindowBacking(2, (834, 711), None)) focus_change((ClientWindow(2), <GParamBoolean 'has-toplevel-focus'>)) has-toplevel-focus=False, _been_mapped=True
2015-01-23 14:35:04,832 update_focus(2, False) focused=None, grabbed=None
2015-01-23 14:35:04,832 send_focus(0)
2015-01-23 14:35:11,274 _unfocus() wid=44, focused=None

I found that disconnecting the session, or passing the session to another client then re-acquiring it, allows other local application windows to take top level focus for at least one click, occasionally two... by the third toggle the firefox window will no longer release top-level focus. At that point, a fellow start-child xterm also won't release top level focus to any local applications.

Another odd detail, it looks like the firefox window will pass top-level focus to a fellow start-child xterm, but the firefox window will not relinquish top-level focus to an epiphany window spawned by that same xterm.

Just to make it extra weird, sometimes - after anywhere from a quarter second to 3 seconds, after clicking on the xterm to pass it top level
focus, the firefox window will just spontaneously grab top level focus back. I grabbed this for one such event (wid[1]=xterm, wid[2]=firefox):

2015-01-23 16:01:15,014 focus-out-event for wid=2
2015-01-23 16:01:15,014 ClientWindow(2) focus_change((ClientWindow(2), <GParamBoolean 'has-toplevel-focus'>)) has-toplevel-focus=False, _been_mapped=True
2015-01-23 16:01:15,015 update_focus(2, False) focused=2, grabbed=None
2015-01-23 16:01:15,044 focus-in-event for wid=1
2015-01-23 16:01:15,045 ClientWindow(1) focus_change((ClientWindow(1), <GParamBoolean 'has-toplevel-focus'>)) has-toplevel-focus=True, _been_mapped=True
2015-01-23 16:01:15,045 update_focus(1, True) focused=None, grabbed=None
2015-01-23 16:01:15,045 send_focus(1)
2015-01-23 16:01:15,135 _unfocus() wid=11, focused=1
2015-01-23 16:01:20,553 update_focus(0, False) focused=1, grabbed=None
2015-01-23 16:01:20,553 focus-out-event for wid=1
2015-01-23 16:01:20,554 ClientWindow(1) focus_change((ClientWindow(1), <GParamBoolean 'has-toplevel-focus'>)) has-toplevel-focus=False, _been_mapped=True
2015-01-23 16:01:20,554 update_focus(1, False) focused=None, grabbed=None
2015-01-23 16:01:20,554 send_focus(0)

Hopefully this weirdness won't require too too many logs... could it be related to the work in #718?

comment:18 Changed 4 years ago by Antoine Martin

Owner: changed from Antoine Martin to alas

I still have no clear idea of what I am looking for.
(I see nothing suspicious in the log samples, just some regular focus events)


I found that disconnecting the session, or passing the session to another client then re-acquiring it, allows other local application windows to take top level focus for at least one click, occasionally two...


What about "raise windows" from the tray?
Or toggling opengl on and off from the tray? (which will re-create all the windows as a side-effect)


At that point, a fellow start-child xterm also won't release top level focus to any local applications.


Very odd, can you grab the xpra info for the window info? (no need for keyboard, etc) So we can see its state (focus, grab, etc).


Just to make it extra weird, sometimes - after anywhere from a quarter second to 3 seconds, after clicking on the xterm to pass it top level focus, the firefox window will just spontaneously grab top level focus back.


This could be related to #469, in particular it would be interesting to revert (or test a version before): r8239, r7361.

afarr / peterlong0210: maybe the server "focus" debug log will tell us more?
Is this a regression? Does running older versions help or make it worse? (ie: 0.14.0 and the last 0.7.x)

Last edited 4 years ago by Antoine Martin (previous) (diff)

comment:19 Changed 4 years ago by alas

Firstly, what (I think) you're trying to reproduce is that win client xpra firefox windows seem to take over top level focus in terms of display (they display "above" other windows) irregardless of what window actually has "focus". This seems to occur with start-child=firefox or with firefox launched from an xterm... and once it happens, it seems to become "contagious"... leading to xterm windows also refusing to allow other non-xpra windows to display "over" them.

Testing with 0.15.0 r8522 windows client against fedora 20 0.15.0 r8555 server...

I found that the the "raise windows" from the tray seemed to just change the focus to the xpra windows (their frames changed to match the background, but they were already displayed "top level", so there was no other change).

Toggling the opengl from the tray fixed the issue entirely (firefox and xterm windows began obeying common top level focus courtesy rules...).

I'll attach an xpra info | grep windows taken when firefox has begun refusing to relinquish top level display... but when I tried to capture an xpra info after a firefox window had taken top level focus away from an xpra session xterm, I got absolutely no information. and trying again with another session, I now find that the xterms can no longer get top level display away from a firefox window once it has gone "wonky".

Testing with just xterm start-childs shows that they don't ever refuse to give up top level focus without firefox also being present (oddly, I can no longer reproduce them not giving up top level focus to local applications at all anymore, even without having changed server or client versions.

This is weird... but firefox seems to be the root of this weirdness.

Changed 4 years ago by alas

Attachment: ticket713-info.txt added

xpra info | grep windows, while firefox has top-level "control"

comment:20 Changed 4 years ago by Antoine Martin

Firstly, what (I think) you're trying to reproduce is that win client xpra firefox windows seem to take over top level focus...


Is there anything specific that triggers it? A specific site, window position / dimensions / state?

Recent beta builds include a -d state client side debug flag for window state problems, could be useful here.
I don't think we ever request "above" or "sticky" states for Firefox, but who knows..

trying again with another session, I now find that the xterms can no longer get top level display away from a firefox window once it has gone "wonky"


You could still get the info in a number of ways:

  • the bug report tool from the xpra tray has xpra info amongst the data
  • run xpra info directly on the server after logging in via ssh
  • run xpra info with the same connection string that the client uses (same password, endpoint, etc)...

Any of those options is better than doing anything that could actually change the focus, since that's what we're interested in.
I see nothing out of the ordinary in the info you posted, none of the windows have focus at that point!

Changed 4 years ago by peterlong0210

Attachment: ontop1502121429.txt added

stdout & stderr with -d state from attach xpra until the problem occur

comment:21 Changed 4 years ago by peterlong0210

Owner: changed from alas to Antoine Martin

comment:22 Changed 4 years ago by alas

Interesting.

Found this issue (with firefox) again while testing windows nvnec performance (win32 client 0.15.0 r8802, server fedora 20 0.15.0 r8791).

Testing again with same windows client against a fedora 20 0.15.0 r8806 server, however, I can't reproduce the top-level focus bug with firefox.

Just FYI, enabling focus debugging with the control channel (on the older server), I clicked on the firefox window, then to a local window and got the following very specific bit of output:

2015-03-24 17:34:27,154 process_focus: wid=2
2015-03-24 17:34:27,154 focus wid=2 has_focus=0
2015-03-24 17:34:27,155 focus: giving focus to WindowModel(0xe00075 - "Exclusive look: U.S., South Korea's military drills - CNN Video - Mozilla Firefox")
2015-03-24 17:34:27,156 focus: will set modified mask to ('mod2',)
2015-03-24 17:34:27,157 Giving focus to 0xe00075
2015-03-24 17:34:27,157 ... using XSetInputFocus
2015-03-24 17:34:27,158 ... using WM_TAKE_FOCUS
2015-03-24 17:34:27,158 sending WM_TAKE_FOCUS: 0xe00075, X11 timestamp=343309162L
2015-03-24 17:34:31,131 process_focus: wid=0
2015-03-24 17:34:31,132 focus wid=0 has_focus=2
2015-03-24 17:34:31,132 reset_focus() 2 / WindowModel(0xe00075 - "Exclusive look: U.S., South Korea's military drills - CNN Video - Mozilla Firefox") had focus (toplevel=WorldWindow(0x400020))
2015-03-24 17:34:31,133 reset_x_focus: widget with focus: None
2015-03-24 17:34:31,133 Take Focus -> world window
2015-03-24 17:34:31,134 sending WM_TAKE_FOCUS: 0x400020, X11 timestamp=343313138L
2015-03-24 17:34:31,746 selected device 1: GeForce GTX 650 @ 0000:09:00.0
2015-03-24 17:34:32,688 using Pulseaudio device 'Monitor of Null Output'
** Message: pygobject_register_sinkfunc is deprecated (GstObject)

I'm not sure how deeply you want to check into this, but I can certainly collect logs if you'd like. In the meantime, this bug seems to be solved.

comment:23 Changed 4 years ago by alas

Nix that, this bug has reappeared (and repro steps included in now duplicate #829 - seems to be triggered, often if not always, by the restore session button upon re-starting a fiefox browser).

Attaching a log with -d metadata,window ... just for some background: started session, started firefox from xterm, clicked focus to a local window, then clicked to the firefox window, clicked restore session (log indicates windows being destroyed and new "restored" window being created).

The newly restored firefox window had top level focus, clicking on a local window succeeded in taking top level focus... clicking back on firefox window though - it took top level focus and would not give it back when I clicked another local window, or another, etc.

Changed 4 years ago by alas

-d metadata,window log

comment:24 Changed 3 years ago by Antoine Martin

Owner: changed from Antoine Martin to alas

@afarr: I am unable to reproduce - maybe this is fixed?

comment:25 Changed 3 years ago by alas

Tried to repro with both osx client (with --opengl=on 0.16.0 r11304) and win32 client (0.16.0 r11427) against fedora 21 server 0.16.0 r11366 ... had no luck (or the good luck not to be able to repro, I suppose).

So... I was about to close this, but I left it as a side test for a while, and after about an hour and a half of intermittently clicking between a session firefox window and assorted local windows on the windows 8.1 client - I found it again.

Disconnected the client, re-started with -d metadata,window,state and it took another half hour to repro again.

I'll attach an xpra-info from before and after I managed to induce the repro.

Client logs (including whole thing for re-connection, but looks like it wasn't logging anything when just clicking focus between session and local windows between 2015-12-28 11:11:04,217 & 2015-12-28 11:42:50,292:

C:\Program Files (x86)\Xpra>xpra_cmd.exe attach tcp:10.0.32.136:2200 -d metadata,window,state
2015-12-28 11:09:10,352 Xpra gtk2 client version 0.16.0-r11427
2015-12-28 11:09:10,355  running on Microsoft Windows 8
2015-12-28 11:09:11,191 OpenGL_accelerate module loaded
2015-12-28 11:09:11,301  detected keyboard: layout=us
2015-12-28 11:09:11,302  desktop size is 5120x2160 with 1 screen:
2015-12-28 11:09:11,302   Default (1354x571 mm - DPI: 96x96) workarea: 5120x2120
2015-12-28 11:09:11,302     DISPLAY1 3840x2160 at 1280x0 (621x341 mm - DPI: 157x160) workarea: 3840x2120
2015-12-28 11:09:11,302     DISPLAY2 1280x720 (597x336 mm - DPI: 54x54) workarea: 1280x638
2015-12-28 11:09:11,303  upscaled by 200%, virtual screen size: 2560x1080
2015-12-28 11:09:11,303   Default (1354x571 mm - DPI: 48x48) workarea: 2560x1060
2015-12-28 11:09:11,305     DISPLAY1 1920x1080 at 640x0 (621x341 mm - DPI: 78x80) workarea: 1920x1060
2015-12-28 11:09:11,305     DISPLAY2 640x360 (597x336 mm - DPI: 27x27) workarea: 640x319
2015-12-28 11:09:11,388 Xpra X11 server version 0.16.0-r11366
2015-12-28 11:09:11,390  running on Linux Fedora 21 Twenty One
2015-12-28 11:09:11,400 Attached to tcp:10.0.32.136:2200 (press Control-C to detach)

2015-12-28 11:09:11,414 process_new_common: [1, 657, 29, 499, 303, {'size-constraints': {'base-size': (19, 4), 'size': (499, 316), 'minimum-size': (25, 17), 'increme
nt': (6, 13), 'gravity': 1}, 'fullscreen': False, 'xid': '0x600022', 'above': False, 'title': 'tlaloc@jimador:~', 'pid': 15085, 'client-machine': 'jimador.spikes.eng
', 'icon-title': 'tlaloc@jimador:~', 'window-type': ('NORMAL',), 'sticky': False, 'below': False, 'command': '', 'decorations': True, 'maximized': False, 'skip-taskb
ar': False, 'class-instance': ('xterm', 'XTerm'), 'skip-pager': False}], metadata={'size-constraints': {'base-size': (19, 4), 'size': (499, 316), 'minimum-size': (25
, 17), 'increment': (6, 13), 'gravity': 1}, 'decorations': True, 'client-machine': 'jimador.spikes.eng', 'pid': 15085, 'sticky': False, 'window-type': ('NORMAL',), '
skip-taskbar': False, 'fullscreen': False, 'xid': '0x600022', 'title': 'tlaloc@jimador:~', 'icon-title': 'tlaloc@jimador:~', 'below': False, 'command': '', 'above':
False, 'maximized': False, 'class-instance': ('xterm', 'XTerm'), 'skip-pager': False}, OR=False
2015-12-28 11:09:11,417 make_new_window(..) client_window_classes=[<class 'xpra.client.gtk2.border_client_window.BorderClientWindow'>], group_leader_window=<gtk.gdk.
Window object at 0x4927fd0 (GdkWindow at 0x31f22c0)>
2015-12-28 11:09:11,417 <class 'xpra.client.gtk2.border_client_window.BorderClientWindow'>(gtk2.client, <gtk.gdk.Window object at 0x4927fd0 (GdkWindow at 0x31f22c0)>
, 1, 1314, 58, 998, 606, 499, 303, {'size-constraints': {'base-size': (19, 4), 'size': (499, 316), 'minimum-size': (25, 17), 'increment': (6, 13), 'gravity': 1}, 'de
corations': True, 'client-machine': 'jimador.spikes.eng', 'pid': 15085, 'sticky': False, 'window-type': ('NORMAL',), 'skip-taskbar': False, 'fullscreen': False, 'xid
': '0x600022', 'title': 'tlaloc@jimador:~', 'icon-title': 'tlaloc@jimador:~', 'below': False, 'command': '', 'above': False, 'maximized': False, 'class-instance': ('
xterm', 'XTerm'), 'skip-pager': False}, False, {'screen': 0}, (0, 0))
2015-12-28 11:09:11,420 popup_types(['NORMAL'])=[]
2015-12-28 11:09:11,421 setup_window(499, 303) screen=0, nscreens=1
2015-12-28 11:09:11,421 set_alpha() has_alpha=False, <class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>.HAS_ALPHA=False, realized=False
2015-12-28 11:09:11,423 new_backing(499, 303) backing_class=<class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>
2015-12-28 11:09:11,424 make_new_backing(<class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>, 998, 606, 998, 606) effective backing class=<class 'xpra.client.gtk
2.pixmap_backing.PixmapBacking'>, server alpha=False, window alpha=False
2015-12-28 11:09:11,424 setup_window() window frame sizes={'caption': 23, 'minimum': (140, 39), 'menu-bar': 20, 'normal': (8, 8), 'frame': (8, 8, 31, 8), 'fixed': (3
, 3), 'border': 1, 'offset': (8, 31)}
2015-12-28 11:09:11,426 update_metadata({'size-constraints': {'base-size': (19, 4), 'size': (499, 316), 'minimum-size': (25, 17), 'increment': (6, 13), 'gravity': 1}
, 'decorations': True, 'client-machine': 'jimador.spikes.eng', 'pid': 15085, 'sticky': False, 'window-type': ('NORMAL',), 'skip-taskbar': False, 'fullscreen': False,
 'xid': '0x600022', 'title': 'tlaloc@jimador:~', 'icon-title': 'tlaloc@jimador:~', 'below': False, 'command': '', 'above': False, 'maximized': False, 'class-instance
': ('xterm', 'XTerm'), 'skip-pager': False})
2015-12-28 11:09:11,427 set_metadata({'size-constraints': {'base-size': (19, 4), 'size': (499, 316), 'minimum-size': (25, 17), 'increment': (6, 13), 'gravity': 1}, '
decorations': True, 'client-machine': 'jimador.spikes.eng', 'pid': 15085, 'sticky': False, 'window-type': ('NORMAL',), 'skip-taskbar': False, 'fullscreen': False, 'x
id': '0x600022', 'title': 'tlaloc@jimador:~', 'icon-title': 'tlaloc@jimador:~', 'below': False, 'command': '', 'above': False, 'maximized': False, 'class-instance':
('xterm', 'XTerm'), 'skip-pager': False})
2015-12-28 11:09:11,430 set_size_constraints({'gravity': 1, 'base-size': (19, 4), 'minimum-size': (25, 17), 'increment': (6, 13), 'size': (499, 316)}, (0, 0))
2015-12-28 11:09:11,430 calling: <bound method BorderClientWindow.apply_geometry_hints of ClientWindow(1)>({'width_inc': 12, 'height_inc': 26, 'min_height': 34, 'bas
e_width': 38, 'min_width': 50, 'base_height': 8})
2015-12-28 11:09:11,431 set_window_type(['NORMAL']) hints=0
2015-12-28 11:09:11,433 ClientWindow(1).set_fullscreen(False)
2015-12-28 11:09:11,437 Win32Hooks: window frame size is 8x8
2015-12-28 11:09:11,437 Win32Hooks: message_map={36: <bound method Win32Hooks.on_getminmaxinfo of <xpra.platform.win32.window_hooks.Win32Hooks object at 0x04695AD0>>
}
2015-12-28 11:09:11,446 process_new_common: [2, 670, 29, 499, 303, {'size-constraints': {'base-size': (19, 4), 'size': (499, 316), 'minimum-size': (25, 17), 'increme
nt': (6, 13), 'gravity': 1}, 'fullscreen': False, 'xid': '0x800022', 'above': False, 'title': 'tlaloc@jimador:~', 'pid': 15087, 'client-machine': 'jimador.spikes.eng
', 'icon-title': 'tlaloc@jimador:~', 'window-type': ('NORMAL',), 'sticky': False, 'below': False, 'command': '', 'decorations': True, 'maximized': False, 'skip-taskb
ar': False, 'class-instance': ('xterm', 'XTerm'), 'skip-pager': False}], metadata={'size-constraints': {'base-size': (19, 4), 'size': (499, 316), 'minimum-size': (25
, 17), 'increment': (6, 13), 'gravity': 1}, 'decorations': True, 'client-machine': 'jimador.spikes.eng', 'pid': 15087, 'sticky': False, 'window-type': ('NORMAL',), '
skip-taskbar': False, 'fullscreen': False, 'xid': '0x800022', 'title': 'tlaloc@jimador:~', 'icon-title': 'tlaloc@jimador:~', 'below': False, 'command': '', 'above':
False, 'maximized': False, 'class-instance': ('xterm', 'XTerm'), 'skip-pager': False}, OR=False
2015-12-28 11:09:11,450 make_new_window(..) client_window_classes=[<class 'xpra.client.gtk2.border_client_window.BorderClientWindow'>], group_leader_window=<gtk.gdk.
Window object at 0x4927fd0 (GdkWindow at 0x31f22c0)>
2015-12-28 11:09:11,451 <class 'xpra.client.gtk2.border_client_window.BorderClientWindow'>(gtk2.client, <gtk.gdk.Window object at 0x4927fd0 (GdkWindow at 0x31f22c0)>
, 2, 1340, 58, 998, 606, 499, 303, {'size-constraints': {'base-size': (19, 4), 'size': (499, 316), 'minimum-size': (25, 17), 'increment': (6, 13), 'gravity': 1}, 'de
corations': True, 'client-machine': 'jimador.spikes.eng', 'pid': 15087, 'sticky': False, 'window-type': ('NORMAL',), 'skip-taskbar': False, 'fullscreen': False, 'xid
': '0x800022', 'title': 'tlaloc@jimador:~', 'icon-title': 'tlaloc@jimador:~', 'below': False, 'command': '', 'above': False, 'maximized': False, 'class-instance': ('
xterm', 'XTerm'), 'skip-pager': False}, False, {'screen': 0}, (0, 0))
2015-12-28 11:09:11,453 popup_types(['NORMAL'])=[]
2015-12-28 11:09:11,454 setup_window(499, 303) screen=0, nscreens=1
2015-12-28 11:09:11,456 set_alpha() has_alpha=False, <class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>.HAS_ALPHA=False, realized=False
2015-12-28 11:09:11,457 new_backing(499, 303) backing_class=<class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>
2015-12-28 11:09:11,457 make_new_backing(<class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>, 998, 606, 998, 606) effective backing class=<class 'xpra.client.gtk
2.pixmap_backing.PixmapBacking'>, server alpha=False, window alpha=False
2015-12-28 11:09:11,459 setup_window() window frame sizes={'caption': 23, 'minimum': (140, 39), 'menu-bar': 20, 'normal': (8, 8), 'frame': (8, 8, 31, 8), 'fixed': (3
, 3), 'border': 1, 'offset': (8, 31)}
2015-12-28 11:09:11,459 update_metadata({'size-constraints': {'base-size': (19, 4), 'size': (499, 316), 'minimum-size': (25, 17), 'increment': (6, 13), 'gravity': 1}
, 'decorations': True, 'client-machine': 'jimador.spikes.eng', 'pid': 15087, 'sticky': False, 'window-type': ('NORMAL',), 'skip-taskbar': False, 'fullscreen': False,
 'xid': '0x800022', 'title': 'tlaloc@jimador:~', 'icon-title': 'tlaloc@jimador:~', 'below': False, 'command': '', 'above': False, 'maximized': False, 'class-instance
': ('xterm', 'XTerm'), 'skip-pager': False})
2015-12-28 11:09:11,460 set_metadata({'size-constraints': {'base-size': (19, 4), 'size': (499, 316), 'minimum-size': (25, 17), 'increment': (6, 13), 'gravity': 1}, '
decorations': True, 'client-machine': 'jimador.spikes.eng', 'pid': 15087, 'sticky': False, 'window-type': ('NORMAL',), 'skip-taskbar': False, 'fullscreen': False, 'x
id': '0x800022', 'title': 'tlaloc@jimador:~', 'icon-title': 'tlaloc@jimador:~', 'below': False, 'command': '', 'above': False, 'maximized': False, 'class-instance':
('xterm', 'XTerm'), 'skip-pager': False})
2015-12-28 11:09:11,461 set_size_constraints({'gravity': 1, 'base-size': (19, 4), 'minimum-size': (25, 17), 'increment': (6, 13), 'size': (499, 316)}, (0, 0))
2015-12-28 11:09:11,461 calling: <bound method BorderClientWindow.apply_geometry_hints of ClientWindow(2)>({'width_inc': 12, 'height_inc': 26, 'min_height': 34, 'bas
e_width': 38, 'min_width': 50, 'base_height': 8})
2015-12-28 11:09:11,463 set_window_type(['NORMAL']) hints=0
2015-12-28 11:09:11,463 ClientWindow(2).set_fullscreen(False)
2015-12-28 11:09:11,467 Win32Hooks: window frame size is 8x8
2015-12-28 11:09:11,467 Win32Hooks: message_map={36: <bound method Win32Hooks.on_getminmaxinfo of <xpra.platform.win32.window_hooks.Win32Hooks object at 0x04923CD0>>
}
2015-12-28 11:09:11,476 process_new_common: [3, 931, 84, 621, 710, {'size-constraints': {'minimum-size': (300, 96), 'maximum-size': (32767, 32767), 'gravity': 1}, 'f
ullscreen': False, 'xid': '0xc0008c', 'above': False, 'title': 'Plan 9 from Outer Space - Full Movie - YouTube - Mozilla Firefox', 'pid': 15147, 'client-machine': 'j
imador.spikes.eng', 'icon-title': 'Plan 9 from Outer Space - Full Movie - YouTube - Mozilla Firefox', 'group-leader-xid': 12582913, 'sticky': False, 'below': False,
'window-type': ('NORMAL',), 'role': 'browser', 'decorations': True, 'maximized': False, 'skip-taskbar': False, 'command': '', 'class-instance': ('Navigator', 'Firefo
x'), 'skip-pager': False}], metadata={'size-constraints': {'minimum-size': (300, 96), 'maximum-size': (32767, 32767), 'gravity': 1}, 'decorations': True, 'client-mac
hine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False, 'window-type': ('NORMAL',), 'skip-taskbar': False, 'fullscreen': False, 'xi
d': '0xc0008c', 'title': 'Plan 9 from Outer Space - Full Movie - YouTube - Mozilla Firefox', 'icon-title': 'Plan 9 from Outer Space - Full Movie - YouTube - Mozilla
Firefox', 'below': False, 'role': 'browser', 'above': False, 'maximized': False, 'command': '', 'class-instance': ('Navigator', 'Firefox'), 'skip-pager': False}, OR=
False
2015-12-28 11:09:11,482 make_new_window(..) client_window_classes=[<class 'xpra.client.gtk2.border_client_window.BorderClientWindow'>], group_leader_window=<gtk.gdk.
Window object at 0x493aeb8 (GdkWindow at 0x31f24d0)>
2015-12-28 11:09:11,483 <class 'xpra.client.gtk2.border_client_window.BorderClientWindow'>(gtk2.client, <gtk.gdk.Window object at 0x493aeb8 (GdkWindow at 0x31f24d0)>
, 3, 1862, 168, 1242, 1420, 621, 710, {'size-constraints': {'minimum-size': (300, 96), 'maximum-size': (32767, 32767), 'gravity': 1}, 'decorations': True, 'client-ma
chine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False, 'window-type': ('NORMAL',), 'skip-taskbar': False, 'fullscreen': False, 'x
id': '0xc0008c', 'title': 'Plan 9 from Outer Space - Full Movie - YouTube - Mozilla Firefox', 'icon-title': 'Plan 9 from Outer Space - Full Movie - YouTube - Mozilla
 Firefox', 'below': False, 'role': 'browser', 'above': False, 'maximized': False, 'command': '', 'class-instance': ('Navigator', 'Firefox'), 'skip-pager': False}, Fa
lse, {'screen': 0}, (0, 0))
2015-12-28 11:09:11,483 popup_types(['NORMAL'])=[]
2015-12-28 11:09:11,484 setup_window(621, 710) screen=0, nscreens=1
2015-12-28 11:09:11,484 set_alpha() has_alpha=False, <class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>.HAS_ALPHA=False, realized=False
2015-12-28 11:09:11,486 new_backing(621, 710) backing_class=<class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>
2015-12-28 11:09:11,486 make_new_backing(<class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>, 1242, 1420, 1242, 1420) effective backing class=<class 'xpra.client
.gtk2.pixmap_backing.PixmapBacking'>, server alpha=False, window alpha=False
2015-12-28 11:09:11,486 setup_window() window frame sizes={'caption': 23, 'minimum': (140, 39), 'menu-bar': 20, 'normal': (8, 8), 'frame': (8, 8, 31, 8), 'fixed': (3
, 3), 'border': 1, 'offset': (8, 31)}
2015-12-28 11:09:11,487 update_metadata({'size-constraints': {'minimum-size': (300, 96), 'maximum-size': (32767, 32767), 'gravity': 1}, 'decorations': True, 'client-
machine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False, 'window-type': ('NORMAL',), 'skip-taskbar': False, 'fullscreen': False,
'xid': '0xc0008c', 'title': 'Plan 9 from Outer Space - Full Movie - YouTube - Mozilla Firefox', 'icon-title': 'Plan 9 from Outer Space - Full Movie - YouTube - Mozil
la Firefox', 'below': False, 'role': 'browser', 'above': False, 'maximized': False, 'command': '', 'class-instance': ('Navigator', 'Firefox'), 'skip-pager': False})
2015-12-28 11:09:11,489 set_metadata({'size-constraints': {'minimum-size': (300, 96), 'maximum-size': (32767, 32767), 'gravity': 1}, 'decorations': True, 'client-mac
hine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False, 'window-type': ('NORMAL',), 'skip-taskbar': False, 'fullscreen': False, 'xi
d': '0xc0008c', 'title': 'Plan 9 from Outer Space - Full Movie - YouTube - Mozilla Firefox', 'icon-title': 'Plan 9 from Outer Space - Full Movie - YouTube - Mozilla
Firefox', 'below': False, 'role': 'browser', 'above': False, 'maximized': False, 'command': '', 'class-instance': ('Navigator', 'Firefox'), 'skip-pager': False})
2015-12-28 11:09:11,489 set_size_constraints({'minimum-size': (300, 96), 'maximum-size': (32767, 32767), 'gravity': 1}, (0, 0))
2015-12-28 11:09:11,490 calling: <bound method BorderClientWindow.apply_geometry_hints of ClientWindow(3)>({'min_width': 600, 'min_height': 192, 'max_height': 65534,
 'max_width': 65534})
2015-12-28 11:09:11,490 set_window_type(['NORMAL']) hints=0
2015-12-28 11:09:11,490 ClientWindow(3).set_fullscreen(False)
2015-12-28 11:09:11,493 Win32Hooks: window frame size is 8x8
2015-12-28 11:09:11,493 Win32Hooks: message_map={36: <bound method Win32Hooks.on_getminmaxinfo of <xpra.platform.win32.window_hooks.Win32Hooks object at 0x04923E10>>
}
2015-12-28 11:09:11,493 on_getminmaxinfo window=0x58069c max_size=None
2015-12-28 11:09:11,502 configure event: current size=(998, 606), new size=(998, 606), backing=PixmapBacking(<gtk.gdk.Pixmap object at 0x4932350 (GdkPixmap at 0x31b2
530)>), iconified=False
2015-12-28 11:09:11,503 ClientWindow(1).window_state_updated(ClientWindow(1), <gtk.gdk.Event at 04299F08: GDK_WINDOW_STATE>) changed_mask=<flags GDK_WINDOW_STATE_WIT
HDRAWN of type GdkWindowState>, new_window_state=<flags 0 of type GdkWindowState>
2015-12-28 11:09:11,503 window_state_updated(..) state updates: {}, actual updates: {}
2015-12-28 11:09:11,506 ClientWindow(1).do_map_event(<gtk.gdk.Event at 04299F08: GDK_MAP>) OR=False
2015-12-28 11:09:11,506 configure event: current size=(998, 606), new size=(998, 606), backing=PixmapBacking(<gtk.gdk.Pixmap object at 0x4932350 (GdkPixmap at 0x31b2
530)>), iconified=False
2015-12-28 11:09:11,507 configure event: current size=(998, 606), new size=(998, 606), backing=PixmapBacking(<gtk.gdk.Pixmap object at 0x493abc0 (GdkPixmap at 0x31b2
668)>), iconified=False
2015-12-28 11:09:11,513 ClientWindow(2).window_state_updated(ClientWindow(2), <gtk.gdk.Event at 04299F08: GDK_WINDOW_STATE>) changed_mask=<flags GDK_WINDOW_STATE_WIT
HDRAWN of type GdkWindowState>, new_window_state=<flags 0 of type GdkWindowState>
2015-12-28 11:09:11,515 window_state_updated(..) state updates: {}, actual updates: {}
2015-12-28 11:09:11,516 ClientWindow(2).do_map_event(<gtk.gdk.Event at 04299F08: GDK_MAP>) OR=False
2015-12-28 11:09:11,516 configure event: current size=(998, 606), new size=(998, 606), backing=PixmapBacking(<gtk.gdk.Pixmap object at 0x493abc0 (GdkPixmap at 0x31b2
668)>), iconified=False
2015-12-28 11:09:11,517 configure event: current size=(1242, 1420), new size=(1242, 1420), backing=PixmapBacking(<gtk.gdk.Pixmap object at 0x4940238 (GdkPixmap at 0x
31b25c0)>), iconified=False
2015-12-28 11:09:11,517 ClientWindow(3).window_state_updated(ClientWindow(3), <gtk.gdk.Event at 04299F08: GDK_WINDOW_STATE>) changed_mask=<flags GDK_WINDOW_STATE_WIT
HDRAWN of type GdkWindowState>, new_window_state=<flags 0 of type GdkWindowState>
2015-12-28 11:09:11,519 window_state_updated(..) state updates: {}, actual updates: {}
2015-12-28 11:09:11,519 ClientWindow(3).do_map_event(<gtk.gdk.Event at 04299F08: GDK_MAP>) OR=False
2015-12-28 11:09:11,519 configure event: current size=(1242, 1420), new size=(1242, 1420), backing=PixmapBacking(<gtk.gdk.Pixmap object at 0x4940238 (GdkPixmap at 0x
31b25c0)>), iconified=False
2015-12-28 11:09:12,180 sound output using audio codec: MPEG 1 Audio, Layer 3 (MP3)
2015-12-28 11:09:14,723 process_new_common: [12, 1384, 108, 92, 16, {'fullscreen': False, 'xid': '0xc04c71', 'title': 'Open a new tab (Ctrl+T)', 'client-machine': 'j
imador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False, 'below': False, 'window-type': ('TOOLTIP',), 'command': '', 'above': False, 'maximiz
ed': False, 'skip-taskbar': False, 'transient-for': 3, 'class-instance': ('Popup', 'Firefox'), 'override-redirect': True, 'skip-pager': False}], metadata={'client-ma
chine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False, 'window-type': ('TOOLTIP',), 'skip-taskbar': False, 'fullscreen': False, '
xid': '0xc04c71', 'title': 'Open a new tab (Ctrl+T)', 'below': False, 'command': '', 'above': False, 'maximized': False, 'transient-for': 3, 'class-instance': ('Popu
p', 'Firefox'), 'override-redirect': True, 'skip-pager': False}, OR=True
2015-12-28 11:09:14,724 make_new_window(..) client_window_classes=[<class 'xpra.client.gtk2.border_client_window.BorderClientWindow'>], group_leader_window=<gtk.gdk.
Window object at 0x4940058 (GdkWindow at 0x31f2580)>
2015-12-28 11:09:14,724 <class 'xpra.client.gtk2.border_client_window.BorderClientWindow'>(gtk2.client, <gtk.gdk.Window object at 0x4940058 (GdkWindow at 0x31f2580)>
, 12, 2768, 216, 184, 32, 92, 16, {'client-machine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False, 'window-type': ('TOOLTIP',),
'skip-taskbar': False, 'fullscreen': False, 'xid': '0xc04c71', 'title': 'Open a new tab (Ctrl+T)', 'below': False, 'command': '', 'above': False, 'maximized': False,
 'transient-for': 3, 'class-instance': ('Popup', 'Firefox'), 'override-redirect': True, 'skip-pager': False}, True, {}, (0, 0))
2015-12-28 11:09:14,726 set_alpha() has_alpha=False, <class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>.HAS_ALPHA=False, realized=False
2015-12-28 11:09:14,726 new_backing(92, 16) backing_class=<class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>
2015-12-28 11:09:14,727 make_new_backing(<class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>, 184, 32, 184, 32) effective backing class=<class 'xpra.client.gtk2.
pixmap_backing.PixmapBacking'>, server alpha=False, window alpha=False
2015-12-28 11:09:14,729 update_metadata({'size-constraints': {}, 'client-machine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False,
 'window-type': ('TOOLTIP',), 'skip-taskbar': False, 'fullscreen': False, 'xid': '0xc04c71', 'title': 'Open a new tab (Ctrl+T)', 'below': False, 'command': '', 'abov
e': False, 'maximized': False, 'transient-for': 3, 'class-instance': ('Popup', 'Firefox'), 'override-redirect': True, 'skip-pager': False})
2015-12-28 11:09:14,730 set_metadata({'size-constraints': {}, 'client-machine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False, 'w
indow-type': ('TOOLTIP',), 'skip-taskbar': False, 'fullscreen': False, 'xid': '0xc04c71', 'title': 'Open a new tab (Ctrl+T)', 'below': False, 'command': '', 'above':
 False, 'maximized': False, 'transient-for': 3, 'class-instance': ('Popup', 'Firefox'), 'override-redirect': True, 'skip-pager': False})
2015-12-28 11:09:14,730 set_size_constraints({}, (0, 0))
2015-12-28 11:09:14,730 calling: <bound method BorderClientWindow.apply_geometry_hints of ClientWindow(12)>({})
2015-12-28 11:09:14,732 ClientWindow(12).apply_transient_for(3) window=ClientWindow(3)
2015-12-28 11:09:14,733 set_window_type(['TOOLTIP']) hints=10
2015-12-28 11:09:14,733 ClientWindow(12).set_fullscreen(False)
2015-12-28 11:09:14,736 Win32Hooks: window frame size is 8x8
2015-12-28 11:09:14,736 Win32Hooks: message_map={36: <bound method Win32Hooks.on_getminmaxinfo of <xpra.platform.win32.window_hooks.Win32Hooks object at 0x049478D0>>
}
2015-12-28 11:09:14,740 ClientWindow(12).window_state_updated(ClientWindow(12), <gtk.gdk.Event at 042999E0: GDK_WINDOW_STATE>) changed_mask=<flags GDK_WINDOW_STATE_W
ITHDRAWN of type GdkWindowState>, new_window_state=<flags 0 of type GdkWindowState>
2015-12-28 11:09:14,742 window_state_updated(..) state updates: {}, actual updates: {}
2015-12-28 11:09:14,742 ClientWindow(12).do_map_event(<gtk.gdk.Event at 042999E0: GDK_MAP>) OR=True
2015-12-28 11:09:15,631 destroy_window(12, ClientWindow(12))
2015-12-28 11:09:15,634 cleanup()
2015-12-28 11:09:41,177 update_metadata({'title': 'The Giant Claw 1957 Full length MOVIE | Best B movies - YouTube - Mozilla Firefox'})
2015-12-28 11:09:41,177 set_metadata({'title': 'The Giant Claw 1957 Full length MOVIE | Best B movies - YouTube - Mozilla Firefox'})
2015-12-28 11:09:41,177 update_metadata({'icon-title': 'The Giant Claw 1957 Full length MOVIE | Best B movies - YouTube - Mozilla Firefox'})
2015-12-28 11:09:41,178 set_metadata({'icon-title': 'The Giant Claw 1957 Full length MOVIE | Best B movies - YouTube - Mozilla Firefox'})
2015-12-28 11:09:46,289 on_getminmaxinfo window=0x58069c max_size=None
2015-12-28 11:09:46,424 on_getminmaxinfo window=0x58069c max_size=None
2015-12-28 11:10:02,128 process_new_common: [13, 1249, 105, 228, 16, {'fullscreen': False, 'xid': '0xc00524', 'title': 'The Giant Claw 1957 Full length MOVIE | Best
B movies - YouTube', 'client-machine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False, 'below': False, 'window-type': ('TOOLTIP',)
, 'command': '', 'above': False, 'maximized': False, 'skip-taskbar': False, 'transient-for': 3, 'class-instance': ('Popup', 'Firefox'), 'override-redirect': True, 's
kip-pager': False}], metadata={'client-machine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False, 'window-type': ('TOOLTIP',), 'ski
p-taskbar': False, 'fullscreen': False, 'xid': '0xc00524', 'title': 'The Giant Claw 1957 Full length MOVIE | Best B movies - YouTube', 'below': False, 'command': '',
 'above': False, 'maximized': False, 'transient-for': 3, 'class-instance': ('Popup', 'Firefox'), 'override-redirect': True, 'skip-pager': False}, OR=True
2015-12-28 11:10:02,130 make_new_window(..) client_window_classes=[<class 'xpra.client.gtk2.border_client_window.BorderClientWindow'>], group_leader_window=<gtk.gdk.
Window object at 0x4940058 (GdkWindow at 0x31f2580)>
2015-12-28 11:10:02,131 <class 'xpra.client.gtk2.border_client_window.BorderClientWindow'>(gtk2.client, <gtk.gdk.Window object at 0x4940058 (GdkWindow at 0x31f2580)>
, 13, 2498, 210, 456, 32, 228, 16, {'client-machine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False, 'window-type': ('TOOLTIP',),
 'skip-taskbar': False, 'fullscreen': False, 'xid': '0xc00524', 'title': 'The Giant Claw 1957 Full length MOVIE | Best B movies - YouTube', 'below': False, 'command'
: '', 'above': False, 'maximized': False, 'transient-for': 3, 'class-instance': ('Popup', 'Firefox'), 'override-redirect': True, 'skip-pager': False}, True, {}, (0,
0))
2015-12-28 11:10:02,132 set_alpha() has_alpha=False, <class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>.HAS_ALPHA=False, realized=False
2015-12-28 11:10:02,134 new_backing(228, 16) backing_class=<class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>
2015-12-28 11:10:02,134 make_new_backing(<class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>, 456, 32, 456, 32) effective backing class=<class 'xpra.client.gtk2.
pixmap_backing.PixmapBacking'>, server alpha=False, window alpha=False
2015-12-28 11:10:02,135 update_metadata({'size-constraints': {}, 'client-machine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False,
 'window-type': ('TOOLTIP',), 'skip-taskbar': False, 'fullscreen': False, 'xid': '0xc00524', 'title': 'The Giant Claw 1957 Full length MOVIE | Best B movies - YouTub
e', 'below': False, 'command': '', 'above': False, 'maximized': False, 'transient-for': 3, 'class-instance': ('Popup', 'Firefox'), 'override-redirect': True, 'skip-p
ager': False})
2015-12-28 11:10:02,137 set_metadata({'size-constraints': {}, 'client-machine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False, 'w
indow-type': ('TOOLTIP',), 'skip-taskbar': False, 'fullscreen': False, 'xid': '0xc00524', 'title': 'The Giant Claw 1957 Full length MOVIE | Best B movies - YouTube',
 'below': False, 'command': '', 'above': False, 'maximized': False, 'transient-for': 3, 'class-instance': ('Popup', 'Firefox'), 'override-redirect': True, 'skip-page
r': False})
2015-12-28 11:10:02,138 set_size_constraints({}, (0, 0))
2015-12-28 11:10:02,138 calling: <bound method BorderClientWindow.apply_geometry_hints of ClientWindow(13)>({})
2015-12-28 11:10:02,140 ClientWindow(13).apply_transient_for(3) window=ClientWindow(3)
2015-12-28 11:10:02,140 set_window_type(['TOOLTIP']) hints=10
2015-12-28 11:10:02,141 ClientWindow(13).set_fullscreen(False)
2015-12-28 11:10:02,141 Win32Hooks: window frame size is 8x8
2015-12-28 11:10:02,144 Win32Hooks: message_map={36: <bound method Win32Hooks.on_getminmaxinfo of <xpra.platform.win32.window_hooks.Win32Hooks object at 0x04947C10>>
}
2015-12-28 11:10:02,148 ClientWindow(13).window_state_updated(ClientWindow(13), <gtk.gdk.Event at 04299DE8: GDK_WINDOW_STATE>) changed_mask=<flags GDK_WINDOW_STATE_W
ITHDRAWN of type GdkWindowState>, new_window_state=<flags 0 of type GdkWindowState>
2015-12-28 11:10:02,148 window_state_updated(..) state updates: {}, actual updates: {}
2015-12-28 11:10:02,148 ClientWindow(13).do_map_event(<gtk.gdk.Event at 04299DE8: GDK_MAP>) OR=True
2015-12-28 11:10:02,549 destroy_window(13, ClientWindow(13))
2015-12-28 11:10:02,551 cleanup()
2015-12-28 11:11:04,092 on_getminmaxinfo window=0x58069c max_size=None
2015-12-28 11:11:04,217 on_getminmaxinfo window=0x58069c max_size=None
2015-12-28 11:42:50,292 process_new_common: [14, 960, 479, 195, 16, {'fullscreen': False, 'xid': '0xc00c5f', 'title': 'The Giant Claw 1957 Full length MOVIE | Best B
 movies', 'client-machine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False, 'below': False, 'window-type': ('TOOLTIP',), 'command'
: '', 'above': False, 'maximized': False, 'skip-taskbar': False, 'transient-for': 3, 'class-instance': ('Popup', 'Firefox'), 'override-redirect': True, 'skip-pager':
 False}], metadata={'client-machine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False, 'window-type': ('TOOLTIP',), 'skip-taskbar':
 False, 'fullscreen': False, 'xid': '0xc00c5f', 'title': 'The Giant Claw 1957 Full length MOVIE | Best B movies', 'below': False, 'command': '', 'above': False, 'max
imized': False, 'transient-for': 3, 'class-instance': ('Popup', 'Firefox'), 'override-redirect': True, 'skip-pager': False}, OR=True
2015-12-28 11:42:50,293 make_new_window(..) client_window_classes=[<class 'xpra.client.gtk2.border_client_window.BorderClientWindow'>], group_leader_window=<gtk.gdk.
Window object at 0x4940058 (GdkWindow at 0x31f2580)>
2015-12-28 11:42:50,293 <class 'xpra.client.gtk2.border_client_window.BorderClientWindow'>(gtk2.client, <gtk.gdk.Window object at 0x4940058 (GdkWindow at 0x31f2580)>
, 14, 1920, 958, 390, 32, 195, 16, {'client-machine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False, 'window-type': ('TOOLTIP',),
 'skip-taskbar': False, 'fullscreen': False, 'xid': '0xc00c5f', 'title': 'The Giant Claw 1957 Full length MOVIE | Best B movies', 'below': False, 'command': '', 'abo
ve': False, 'maximized': False, 'transient-for': 3, 'class-instance': ('Popup', 'Firefox'), 'override-redirect': True, 'skip-pager': False}, True, {}, (0, 0))
2015-12-28 11:42:50,295 set_alpha() has_alpha=False, <class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>.HAS_ALPHA=False, realized=False
2015-12-28 11:42:50,296 new_backing(195, 16) backing_class=<class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>
2015-12-28 11:42:50,296 make_new_backing(<class 'xpra.client.gtk2.pixmap_backing.PixmapBacking'>, 390, 32, 390, 32) effective backing class=<class 'xpra.client.gtk2.
pixmap_backing.PixmapBacking'>, server alpha=False, window alpha=False
2015-12-28 11:42:50,296 update_metadata({'size-constraints': {}, 'client-machine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False,
 'window-type': ('TOOLTIP',), 'skip-taskbar': False, 'fullscreen': False, 'xid': '0xc00c5f', 'title': 'The Giant Claw 1957 Full length MOVIE | Best B movies', 'below
': False, 'command': '', 'above': False, 'maximized': False, 'transient-for': 3, 'class-instance': ('Popup', 'Firefox'), 'override-redirect': True, 'skip-pager': Fal
se})
2015-12-28 11:42:50,298 set_metadata({'size-constraints': {}, 'client-machine': 'jimador.spikes.eng', 'pid': 15147, 'group-leader-xid': 12582913, 'sticky': False, 'w
indow-type': ('TOOLTIP',), 'skip-taskbar': False, 'fullscreen': False, 'xid': '0xc00c5f', 'title': 'The Giant Claw 1957 Full length MOVIE | Best B movies', 'below':
False, 'command': '', 'above': False, 'maximized': False, 'transient-for': 3, 'class-instance': ('Popup', 'Firefox'), 'override-redirect': True, 'skip-pager': False}
)
2015-12-28 11:42:50,299 set_size_constraints({}, (0, 0))
2015-12-28 11:42:50,299 calling: <bound method BorderClientWindow.apply_geometry_hints of ClientWindow(14)>({})
2015-12-28 11:42:50,299 ClientWindow(14).apply_transient_for(3) window=ClientWindow(3)
2015-12-28 11:42:50,299 set_window_type(['TOOLTIP']) hints=10
2015-12-28 11:42:50,299 ClientWindow(14).set_fullscreen(False)
2015-12-28 11:42:50,301 Win32Hooks: window frame size is 8x8
2015-12-28 11:42:50,301 Win32Hooks: message_map={36: <bound method Win32Hooks.on_getminmaxinfo of <xpra.platform.win32.window_hooks.Win32Hooks object at 0x04955BF0>>
}
2015-12-28 11:42:50,305 ClientWindow(14).window_state_updated(ClientWindow(14), <gtk.gdk.Event at 04299848: GDK_WINDOW_STATE>) changed_mask=<flags GDK_WINDOW_STATE_W
ITHDRAWN of type GdkWindowState>, new_window_state=<flags 0 of type GdkWindowState>
2015-12-28 11:42:50,305 window_state_updated(..) state updates: {}, actual updates: {}
2015-12-28 11:42:50,305 ClientWindow(14).do_map_event(<gtk.gdk.Event at 04299848: GDK_MAP>) OR=True
2015-12-28 11:43:05,497 destroy_window(14, ClientWindow(14))
2015-12-28 11:43:05,500 cleanup()
C:\Program Files (x86)\Xpra\library.zip\xpra\gtk_common\gtk_util.py:358: GtkWarning: inner_clipboard_window_procedure: assertion `success' failed

Changed 3 years ago by alas

xpra info after re-connection, before firefox focus/paint issue

Changed 3 years ago by alas

xpra-info after inducing firefox focus/paint issue

comment:26 Changed 3 years ago by alas

Interestingly, after re-sizing the firefox window, I find that the focus/paint issue is back to expected behavior.

It took about another 10 minutes to repro again though.

Client logs look the same generally, except there's no sign of the inner_clipboard_window_procedure warning.

comment:27 Changed 3 years ago by Antoine Martin

Owner: changed from alas to Antoine Martin
Status: newassigned

I am stumped.

There is nothing unusual in the log sample, we are not setting the "keep above" flag and the only difference in state is the focus:

$ diff  ticket713_info-before-firefox-focus-issue.txt ticket713_info-after-firefox-focus-issue.txt | grep -i focus | grep -v batch
< focused=3
> focused=0
< window[1].focused=False
> window[1].focused=0
< window[2].focused=False
> window[2].focused=0
< window[3].focused=True
> window[3].focused=0

comment:28 Changed 3 years ago by Antoine Martin

re-scheduling

comment:29 Changed 3 years ago by Antoine Martin

Milestone: 0.150.18

comment:30 Changed 2 years ago by Antoine Martin

Milestone: 0.181.0

Milestone renamed

comment:31 Changed 2 years ago by Antoine Martin

Owner: changed from Antoine Martin to alas
Status: assignednew

Focus, we meet again: see #1293, there's a good chance that r13600 fixes this. (but caused #1307)

Last edited 2 years ago by Antoine Martin (previous) (diff)

comment:32 Changed 2 years ago by alas

Resolution: fixed
Status: newclosed

Sure enough... some slightly more than mild testing is failing to repro this.

I'm actually very happy to see this... we've also been seeing occasionally with google-chrome in addition to firefox, as well as CEF, and a number of other things.

I'll close this for now... but do some more testing and re-open if I somehow manage to trigger it again.

Note: See TracTickets for help on using tickets.